# MatPreallocateFinalize

Ends the block of code that will count the number of nonzeros per row in a matrix providing the data that one can use to correctly preallocate the matrix.

### Synopsis

    PetscErrorCode MatPreallocateFinalize(PetscInt *dnz, PetscInt *onz)

Collective on MPI_Comm

### Input Parameters

| dnz | - the array that will be passed to the matrix preallocation routines
| ozn | - the other array passed to the matrix preallocation routines

### Notes

See the chapter in the users manual on performance for more details

Do not malloc or free dnz and onz that is handled internally by these routines

### See Also

MatPreallocateInitialize(), MatPreallocateSet(), MatPreallocateSymmetricSet(), MatPreallocateSetLocal(),
MatPreallocateSymmetricInitialize(), MatPreallocateSymmetricSetLocal()

Level:intermediate
Location: src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages